List pods
curl --request GET \
--url https://api.aireserve.com/v1/gpu/pods \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aireserve.com/v1/gpu/pods"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aireserve.com/v1/gpu/pods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "requested",
"desiredState": "running",
"gpuTypeId": "<string>",
"gpuType": "<string>",
"gpuCount": 0,
"dataCenterId": "<string>",
"datacenter": "<string>",
"containerDiskGb": 0,
"volumeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"networkVolumeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"volumeMountPath": "<string>",
"imageName": "<string>",
"imageId": "<string>",
"templateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"registryCredentialId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sshKeyIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"ports": [
{
"port": 32768,
"protocol": "http"
}
],
"rateUsdPerHour": "<string>",
"runningHourlyRateUsd": "<string>",
"envKeys": [
"<string>"
],
"paidThroughAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"lastError": "<string>",
"terminatedAt": "2023-11-07T05:31:56Z",
"computeType": "GPU",
"cpuTypeId": "<string>",
"vcpuCount": 0,
"cloud": "SECURE",
"runpodTemplateId": "<string>"
}
],
"nextCursor": "<string>"
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}GPU Infrastructure
List pods
All pods owned by your organization, including terminated ones. Requires compute read access.
GET
/
v1
/
gpu
/
pods
List pods
curl --request GET \
--url https://api.aireserve.com/v1/gpu/pods \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aireserve.com/v1/gpu/pods"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aireserve.com/v1/gpu/pods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "requested",
"desiredState": "running",
"gpuTypeId": "<string>",
"gpuType": "<string>",
"gpuCount": 0,
"dataCenterId": "<string>",
"datacenter": "<string>",
"containerDiskGb": 0,
"volumeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"networkVolumeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"volumeMountPath": "<string>",
"imageName": "<string>",
"imageId": "<string>",
"templateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"registryCredentialId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sshKeyIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"ports": [
{
"port": 32768,
"protocol": "http"
}
],
"rateUsdPerHour": "<string>",
"runningHourlyRateUsd": "<string>",
"envKeys": [
"<string>"
],
"paidThroughAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"lastError": "<string>",
"terminatedAt": "2023-11-07T05:31:56Z",
"computeType": "GPU",
"cpuTypeId": "<string>",
"vcpuCount": 0,
"cloud": "SECURE",
"runpodTemplateId": "<string>"
}
],
"nextCursor": "<string>"
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}Authorizations
bearerAuthapiKeyAuth
Your AI Reserve API key (aireserve_api_…) from the API Keys page in the portal (https://portal.aireserve.com/keys).
Query Parameters
Opaque cursor from a previous page's nextCursor.